| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Defines | Variables | Functions
arm_graphic_equalizer_example_q31.c File Reference

## Defines
#define | TESTLENGTH
#define | BLOCKSIZE
#define | NUMBLOCKS
#define | NUMSTAGES
#define | SNR_THRESHOLD_F32
## Variables
float32_t | testInput_f32 [TESTLENGTH]
static float32_t | testOutput [TESTLENGTH]
float32_t | testRefOutput_f32 [TESTLENGTH]
static q63_t | biquadStateBand1Q31 [4 *2]
static q63_t | biquadStateBand2Q31 [4 *2]
static q31_t | biquadStateBand3Q31 [4 *2]
static q31_t | biquadStateBand4Q31 [4 *2]
static q31_t | biquadStateBand5Q31 [4 *2]
q31_t | inputQ31 [BLOCKSIZE]
q31_t | outputQ31 [BLOCKSIZE]
const q31_t | coeffTable [950]
int | gainDB [5]
float32_t | snr
## Functions
int32_t | main (void)

## Define Documentation

#define BLOCKSIZE

Examples:
  arm_graphic_equalizer_example_q31.c, and arm_signal_converge_example_f32.c.

Referenced by main().

#define NUMBLOCKS

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

#define NUMSTAGES

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

#define SNR_THRESHOLD_F32

Referenced by main().

#define TESTLENGTH

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

## Variable Documentation

q63_t biquadStateBand1Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

q63_t biquadStateBand2Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

q31_t biquadStateBand3Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

q31_t biquadStateBand4Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

q31_t biquadStateBand5Q31[4 *2]`[static]`

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

const q31_t coeffTable[950]

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

int gainDB[5]

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

q31_t inputQ31[BLOCKSIZE]

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

q31_t outputQ31[BLOCKSIZE]

Examples:
  arm_graphic_equalizer_example_q31.c.

Referenced by main().

float32_t snr

float32_t testInput_f32[TESTLENGTH]

float32_t testOutput[TESTLENGTH]`[static]`

float32_t testRefOutput_f32[TESTLENGTH]

Referenced by main().

## Function Documentation

int32_t main | ( | void |  | ) |

References arm_biquad_cas_df1_32x64_init_q31(), arm_biquad_cas_df1_32x64_q31(), arm_biquad_cascade_df1_init_q31(), arm_biquad_cascade_df1_q31(), arm_float_to_q31(), ARM_MATH_SUCCESS, ARM_MATH_TEST_FAILURE, arm_q31_to_float(), arm_scale_f32(), arm_scale_q31(), arm_snr_f32(), biquadStateBand1Q31, biquadStateBand2Q31, biquadStateBand3Q31, biquadStateBand4Q31, biquadStateBand5Q31, BLOCKSIZE, coeffTable, gainDB, inputQ31, NUMBLOCKS, NUMSTAGES, outputQ31, snr, SNR_THRESHOLD_F32, status, testInput_f32, TESTLENGTH, testOutput, and testRefOutput_f32.